package com.ruoyi.project.patrol.patrol.service;

import java.util.List;
import com.ruoyi.project.patrol.patrol.domain.TPatrolIssues;

/**
 * 检查问题记录Service接口
 *
 * @author ruoyi
 * @date 2023-09-25
 */
public interface ITPatrolIssuesService
{
    /**
     * 查询检查问题记录
     *
     * @param id 检查问题记录主键
     * @return 检查问题记录
     */
    public TPatrolIssues selectTPatrolIssuesById(Long id);

    /**
     * 查询检查问题记录列表
     *
     * @param tPatrolIssues 检查问题记录
     * @return 检查问题记录集合
     */
    public List<TPatrolIssues> selectTPatrolIssuesList(TPatrolIssues tPatrolIssues);

    /**
     * 新增检查问题记录
     *
     * @param tPatrolIssues 检查问题记录
     * @return 结果
     */
    public int insertTPatrolIssues(TPatrolIssues tPatrolIssues);

    /**
     * 修改检查问题记录
     *
     * @param tPatrolIssues 检查问题记录
     * @return 结果
     */
    public int updateTPatrolIssues(TPatrolIssues tPatrolIssues);

    /**
     * 批量删除检查问题记录
     *
     * @param ids 需要删除的检查问题记录主键集合
     * @return 结果
     */
    public int deleteTPatrolIssuesByIds(Long[] ids);

    /**
     * 删除检查问题记录信息
     *
     * @param id 检查问题记录主键
     * @return 结果
     */
    public int deleteTPatrolIssuesById(Long id);
}
